<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="medicamento">
        <h2 class="jh-entity-heading" data-cy="medicamentoDetailsHeading">
          <span v-text="$t('gatewayApp.pacientesMedicamento.detail.title')">Medicamento</span> {{ medicamento.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.pacientesMedicamento.nombre')">Nombre</span>
          </dt>
          <dd>
            <span>{{ medicamento.nombre }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesMedicamento.descripcion')">Descripcion</span>
          </dt>
          <dd>
            <span>{{ medicamento.descripcion }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesMedicamento.fechaIngreso')">Fecha Ingreso</span>
          </dt>
          <dd>
            <span v-if="medicamento.fechaIngreso">{{ $d(Date.parse(medicamento.fechaIngreso), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesMedicamento.presentacion')">Presentacion</span>
          </dt>
          <dd>
            <span v-text="$t('gatewayApp.Presentacion.' + medicamento.presentacion)">{{ medicamento.presentacion }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesMedicamento.generico')">Generico</span>
          </dt>
          <dd>
            <span>{{ medicamento.generico }}</span>
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="medicamento.id"
          :to="{ name: 'MedicamentoEdit', params: { medicamentoId: medicamento.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./medicamento-details.component.ts"></script>
